using System;

internal sealed class Delegate371 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate371 delegate371_1)
	{
		return delegate371_1(object_0);
	}

	public extern Delegate371(object object_0, IntPtr intptr_0);

	static Delegate371()
	{
		Class10.smethod_13(typeof(Delegate371).TypeHandle);
	}

	internal static Delegate371 delegate371_0;
}
